[arch-commits] Commit in gstreamer0.10-bad-plugins/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Oct 6 17:25:36 EDT 2008


    Date: Monday, October 6, 2008 @ 17:25:36
  Author: jgc
Revision: 14458

upgpkg: gstreamer0.10-bad-plugins 0.10.8-1

Modified:
  gstreamer0.10-bad-plugins/trunk/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-06 21:17:48 UTC (rev 14457)
+++ PKGBUILD	2008-10-06 21:25:36 UTC (rev 14458)
@@ -2,12 +2,12 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gstreamer0.10-bad-plugins
-pkgver=0.10.7
-pkgrel=3
+pkgver=0.10.8
+pkgrel=1
 pkgdesc="GStreamer Multimedia Framework Bad Plugins (gst-plugins-bad)"
 arch=(i686 x86_64)
 license=('LGPL' 'GPL')
-depends=('gstreamer0.10-bad>=0.10.7' 'xvidcore' 'libdca' 'bzip2' 'libdc1394>=2.0.1' 'exempi' 'jack-audio-connection-kit' 'neon>=0.27.2' 'faac>=1.26' 'libexif' 'musicbrainz>=2.1.5' 'faad2>=2.6.1' 'libmms' 'x264>=20080625' 'libcdaudio' 'libmpcdec' 'mjpegtools')
+depends=('gstreamer0.10-bad>=0.10.8' 'xvidcore' 'libdca' 'bzip2' 'libdc1394>=2.0.1' 'exempi' 'jack-audio-connection-kit' 'neon>=0.27.2' 'faac>=1.26' 'libexif' 'musicbrainz>=2.1.5' 'faad2>=2.6.1' 'libmms' 'x264>=20080625' 'libcdaudio' 'libmpcdec' 'mjpegtools' 'libdvdnav>=0.1.10')
 makedepends=('pkgconfig' 'ladspa')
 provides=("gstreamer0.10-cdaudio=${pkgver}" "gstreamer0.10-musicbrainz=${pkgver}" "gstreamer0.10-sndfile=${pkgver}" "gstreamer0.10-mpeg2enc=${pkgver}" "gstreamer0.10-bz2=${pkgver}" "gstreamer0.10-sdl=${pkgver}" "gstreamer0.10-faac=${pkgver}" "gstreamer0.10-alsaspdif=${pkgver}" "gstreamer0.10-xvid=${pkgver}" "gstreamer0.10-faad=${pkgver}" "gstreamer0.10-musepack=${pkgver}" "gstreamer0.10-mms=${pkgver}" "gstreamer0.10-x264=${pkgver}" "gstreamer0.10-neon=${pkgver}" "gstreamer0.10-ladspa=${pkgver}" "gstreamer0.10-dts=${pkgver}" "gstreamer0.10-jack=${pkgver}" "gstreamer0.10-metadata=${pkgver}" "gst-plugins-bad=${pkgver}")
 conflicts=('gstreamer0.10-cdaudio' 'gstreamer0.10-musicbrainz' 'gstreamer0.10-sndfile' 'gstreamer0.10-mpeg2enc' 'gstreamer0.10-bz2' 'gstreamer0.10-sdl' 'gstreamer0.10-faac' 'gstreamer0.10-alsaspdif' 'gstreamer0.10-xvid' 'gstreamer0.10-faad' 'gstreamer0.10-musepack' 'gstreamer0.10-mms' 'gstreamer0.10-x264' 'gstreamer0.10-neon' 'gstreamer0.10-ladspa' 'gstreamer0.10-dts' 'gstreamer0.10-jack' 'gstreamer0.10-metadata')
@@ -17,10 +17,10 @@
 _relname=gst-plugins-bad
 groups=('gstreamer0.10-plugins')
 source=(${url}/src/${_relname}/${_relname}-${pkgver}.tar.bz2)
-md5sums=('9a511c9e9a0510ca4e212ce1d67e2cba')
+md5sums=('ddc8f92dab0081f131650ad6c95908b8')
 
 build() {
-  cd ${startdir}/src/${_relname}-${pkgver}
+  cd "${srcdir}/${_relname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
     --disable-static --enable-experimental \
     --disable-docs-build --disable-plugin-docs \
@@ -28,6 +28,6 @@
     --with-package-origin="http://www.archlinux.org/" || return 1
 
   make || return 1
-  make -C ext DESTDIR=${startdir}/pkg install || return 1
-  make -C sys DESTDIR=${startdir}/pkg install || return 1
+  make -C ext DESTDIR="${pkgdir}" install || return 1
+  make -C sys DESTDIR="${pkgdir}" install || return 1
 }




More information about the arch-commits mailing list